/*******************************************************************************
 * GenRGenS v.1.0, Generation of Random Genomic Sequences                      *
 * Copyright (C) 2001  Alain Denise/Yann Ponty                                 *
 *                                                                             *
 * This program is free software; you can redistribute it and/or               *
 * modify it under the terms of the GNU General Public License                 *
 * as published by the Free Software Foundation; either version 2              *
 * of the License, or (at your option) any later version.                      *
 *                                                                             *
 * This program is distributed in the hope that it will be useful,             *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of              *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
 * GNU General Public License for more details.                                *
 *                                                                             *
 * You should have received a copy of the GNU General Public License           *
 * along with this program; if not, write to the Free Software                 *
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. *
 *******************************************************************************/

package GenRGenS.master.distributions;


import java.util.*;
import GenRGenS.master.*;

public class Pow implements DistributionLaw
{
    DistributionLaw _d1;
    DistributionLaw _d2;
    public Pow(DistributionLaw d1, DistributionLaw d2)
    {
      _d1 = d1;
      _d2 = d2;
    }
    /**
     * Renvoie un nombre aleatoire respectant la repartition donne par la loi.
     */
    public double getNumber(int n)
    {
      return Math.pow(_d1.getNumber(n),_d2.getNumber(n));
    };
}
